org.bouncycastle.jce.provider

## Class X509CRLEntryObject

- java.lang.Object
- - java.security.cert.X509CRLEntry
  - - org.bouncycastle.jce.provider.X509CRLEntryObject

All Implemented Interfaces:
  java.security.cert.X509Extension

    public class X509CRLEntryObject
    extends java.security.cert.X509CRLEntry

The following extensions are listed in RFC 2459 as relevant to CRL Entries ReasonCode Hode Instruction Code Invalidity Date Certificate Issuer (critical)

### Constructor Summary

Constructors
Constructor and Description
`X509CRLEntryObject(TBSCertList.CRLEntry c)`
`X509CRLEntryObject(TBSCertList.CRLEntry c, boolean isIndirect, javax.security.auth.x500.X500Principal previousCertificateIssuer)` Constructor for CRLEntries of indirect CRLs.

### Method Summary

Methods
`javax.security.auth.x500.X500Principal` `getCertificateIssuer()`
`java.util.Set` `getCriticalExtensionOIDs()`
`byte[]` `getEncoded()`
`byte[]` `getExtensionValue(java.lang.String oid)`
`java.util.Set` `getNonCriticalExtensionOIDs()`
`java.util.Date` `getRevocationDate()`
`java.math.BigInteger` `getSerialNumber()`
`boolean` `hasExtensions()`
`int` `hashCode()` Cache the hashCode value - calculating it with the standard method.
`boolean` `hasUnsupportedCriticalExtension()` Will return true if any extensions are present and marked as critical as we currently dont handle any extensions!
`java.lang.String` `toString()`

### Methods inherited from class java.security.cert.X509CRLEntry

`equals`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### X509CRLEntryObject

    public X509CRLEntryObject(TBSCertList.CRLEntry c)

#### X509CRLEntryObject

    public X509CRLEntryObject(TBSCertList.CRLEntry c,
                      boolean isIndirect,
                      javax.security.auth.x500.X500Principal previousCertificateIssuer)

Constructor for CRLEntries of indirect CRLs. If `isIndirect` is `false` `getCertificateIssuer()` will always return `null`, `previousCertificateIssuer` is ignored. If this `isIndirect` is specified and this CRLEntry has no certificate issuer CRL entry extension `previousCertificateIssuer` is returned by `getCertificateIssuer()`.

Parameters:
  `c` - TBSCertList.CRLEntry object.
  `isIndirect` - `true` if the corresponding CRL is a indirect CRL.
  `previousCertificateIssuer` - Certificate issuer of the previous CRLEntry.

### Method Detail

#### hasUnsupportedCriticalExtension

    public boolean hasUnsupportedCriticalExtension()

Will return true if any extensions are present and marked as critical as we currently dont handle any extensions!

#### getCertificateIssuer

    public javax.security.auth.x500.X500Principal getCertificateIssuer()

Overrides:
  `getCertificateIssuer` in class `java.security.cert.X509CRLEntry`

#### getCriticalExtensionOIDs

    public java.util.Set getCriticalExtensionOIDs()

#### getNonCriticalExtensionOIDs

    public java.util.Set getNonCriticalExtensionOIDs()

#### getExtensionValue

    public byte[] getExtensionValue(java.lang.String oid)

#### hashCode

    public int hashCode()

Cache the hashCode value - calculating it with the standard method.

Overrides:
  `hashCode` in class `java.security.cert.X509CRLEntry`
Returns:
  calculated hashCode.

#### getEncoded

    public byte[] getEncoded()
                      throws java.security.cert.CRLException

Specified by:
  `getEncoded` in class `java.security.cert.X509CRLEntry`
Throws:
  `java.security.cert.CRLException`

#### getSerialNumber

    public java.math.BigInteger getSerialNumber()

Specified by:
  `getSerialNumber` in class `java.security.cert.X509CRLEntry`

#### getRevocationDate

    public java.util.Date getRevocationDate()

Specified by:
  `getRevocationDate` in class `java.security.cert.X509CRLEntry`

#### hasExtensions

    public boolean hasExtensions()

Specified by:
  `hasExtensions` in class `java.security.cert.X509CRLEntry`

#### toString

    public java.lang.String toString()

Specified by:
  `toString` in class `java.security.cert.X509CRLEntry`